Skip to content

Add or remove items from the authenticated user's feed

PATCH
/cms/customer/feed
curl --request PATCH \
--url https://api.example.com/cms/customer/feed \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Token: <Token>' \
--data '{ "add": [ { "object_type": "Article", "object_id": 123, "field_name": "customFieldName" } ], "remove": [ { "object_type": "Article", "object_id": 123 } ] }'
Media typeapplication/json
object
add
Array<object>
object
object_type
string

Example

Article
object_id
integer

Example

123
field_name
string
nullable

Example

customFieldName
remove
Array<object>
object
object_type
string

Example

Article
object_id
integer

Example

123

Feed updated successfully

Media typeapplication/json
object

Example generated

{}

Authentication required